## gnome-passwordsafe 4.1

=== meson_options.txt ===
option(
  'profile',
  type: 'combo',
  choices: [
    'default',
    'development'
  ],
  value: 'default'
)

## gnome-passwordsafe 3.99.2+dfsg1

=== debian/changelog ===
gnome-passwordsafe (3.99.2+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #958889)
  * d/copyright: update the GPL3 license as per ftp master feedback

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Thu, 28 May 2020 20:06:53 +0000

=== debian/control ===
Source: gnome-passwordsafe
Section: gnome
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Henry-Nicolas Tourneur <debian@nilux.be>
Build-Depends: appstream-util,
               debhelper-compat (= 13),
               dh-python,
               libgirepository1.0-dev,
               libglib2.0-dev,
               libgtk-3-dev,
               libhandy-0.0-dev,
               libpwquality-dev,
               meson,
               python-gi-dev,
               python3-all,
               python3-construct,
               python3-dateutil,
               python3-pycryptodome,
               python3-pykeepass
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://gitlab.gnome.org/World/PasswordSafe
Vcs-Browser: https://salsa.debian.org/python-team/packages/gnome-passwordsafe
Vcs-Git: https://salsa.debian.org/python-team/packages/gnome-passwordsafe.git

Package: gnome-passwordsafe
Architecture: all
Depends: gir1.2-handy-0.0,
         python3-construct,
         python3-dateutil,
         python3-gi,
         python3-pwquality,
         python3-pycryptodome,
         python3-pykeepass,
         ${misc:Depends},
         ${python3:Depends}
Description: Password manager for GNOME
 Password Safe is a password manager which makes use of the KeePass v.4 format.
 It integrates perfectly with the GNOME desktop and provides an easy and
 uncluttered interface for the management of password databases.

## gnome-passwordsafe 3.99.3+dfsg1

=== debian/changelog ===
gnome-passwordsafe (3.99.3+dfsg1-1) unstable; urgency=medium

  * New upstream version 3.99.3.
  * Dropped maintainer manpage: content was too generic.
  * d/control: dependencies update for new release
  * d/patches: remove patches included upstream, those are:
    000_fix_crypto-namespace.patch
    002_fix_pykeepass_no-CredentialsIntegrityError.patch

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Sun, 01 Nov 2020 08:17:58 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                libgirepository1.0-dev,
                libglib2.0-dev,
                libgtk-3-dev,
-               libhandy-0.0-dev,
+               libhandy-1-dev,
                libpwquality-dev,
                meson,
                python-gi-dev,
@@ -26,12 +26,12 @@
 
 Package: gnome-passwordsafe
 Architecture: all
-Depends: gir1.2-handy-0.0,
+Depends: gir1.2-handy-1,
          python3-construct,
          python3-dateutil,
          python3-gi,
          python3-pwquality,
-         python3-pycryptodome,
+         python3-pycryptodome (>= 3.2.1),
          python3-pykeepass,
          ${misc:Depends},
          ${python3:Depends}

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg\d*$//,repacksuffix=+dfsg1,filenamemangle=s/.*\/archive\/(\d\S+)\/PasswordSafe.*\.tar\.gz/PasswordSafe-$1\.tar\.gz/g \
  https://gitlab.gnome.org/World/PasswordSafe/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*

## gnome-passwordsafe 4~beta

=== debian/changelog ===
gnome-passwordsafe (4~beta-1) unstable; urgency=medium

  * d/control: fix versioned dep on pykeepass
  * d/copyright: stop excluding data/images/welcome.png
    since usptream clarified it copyrights
  * d/patches: drop 001_remove_image since we no longer exclude
    data/images/welcome.png
  * d/patches: add bump_meson_version so that meson version field reflects
    release version numbering.
  * New upstream version 4~beta

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Mon, 16 Nov 2020 17:35:19 +0000

=== debian/control ===
--- 
+++ 
@@ -31,8 +31,8 @@
          python3-dateutil,
          python3-gi,
          python3-pwquality,
-         python3-pycryptodome (>= 3.2.1),
-         python3-pykeepass,
+         python3-pycryptodome,
+         python3-pykeepass (>= 3.2.1),
          ${misc:Depends},
          ${python3:Depends}
 Description: Password manager for GNOME

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/PasswordSafe.*\.tar\.gz/PasswordSafe-$1\.tar\.gz/g \
  https://gitlab.gnome.org/World/PasswordSafe/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*

## gnome-passwordsafe 4~rc

=== debian/changelog ===
gnome-passwordsafe (4~rc-1) unstable; urgency=medium

  * New upstream version 4.rc
  * Delete patch bump_meson_version

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Thu, 26 Nov 2020 18:34:06 +0000

## gnome-passwordsafe 4.0

=== debian/changelog ===
gnome-passwordsafe (4.0-1) unstable; urgency=medium

  * New upstream version 4.0
  * d/watch: mangle upstream versions (alpha, beta, rc)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Mon, 30 Nov 2020 20:33:40 +0000

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,filenamemangle=s/.*\/archive\/(\d\S+)\/PasswordSafe.*\.tar\.gz/PasswordSafe-$1\.tar\.gz/g \
  https://gitlab.gnome.org/World/PasswordSafe/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*

## gnome-passwordsafe 4.1

=== debian/changelog ===
gnome-passwordsafe (4.1-1) unstable; urgency=medium

  * d/watch: only include numeric releases (discarding beta,rc)
  * New upstream version 4.1
  * set Standards-Version to 4.5.1 (no changes)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Tue, 05 Jan 2021 16:50:20 +0000

## gnome-passwordsafe 5.0

=== debian/changelog ===
gnome-passwordsafe (5.0-2) unstable; urgency=medium

  * d/patches: add 001_fix-app-name
    Display the app icon correctly in Wayland environments

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Wed, 10 Mar 2021 16:46:52 +0000

gnome-passwordsafe (5.0-1) unstable; urgency=medium

  * New upstream version 5.0
  * d/patches: add 000_fix-mime-path.patch to install mime data in the correct
    location.

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Sun, 07 Feb 2021 21:03:23 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-dateutil,
                python3-pycryptodome,
                python3-pykeepass
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://gitlab.gnome.org/World/PasswordSafe
 Vcs-Browser: https://salsa.debian.org/python-team/packages/gnome-passwordsafe

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/([\d\.]+)\/PasswordSafe.*\.tar\.gz/PasswordSafe-$1\.tar\.gz/g \
  https://gitlab.gnome.org/World/PasswordSafe/tags?sort=updated_desc .*/archive/([\d\.]+)/.*\.tar\.gz.*

## gnome-passwordsafe 5.1

=== debian/changelog ===
gnome-passwordsafe (5.1-2) unstable; urgency=medium

  * d/patches: add 001_fix_meson_args_ftbfs.patch (Closes: #1005578)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Fri, 18 Feb 2022 13:20:38 +0000

gnome-passwordsafe (5.1-1) unstable; urgency=medium

  * New upstream version 5.1
  * d/control: Bump Standards-Version (no changes needed)
  * d/patches: remove upstreamed patches:
    - 000_fix-mime-path.patch
    - 001_fix-app-name.patch

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Tue, 07 Dec 2021 21:53:36 +0000

gnome-passwordsafe (5.0-3) unstable; urgency=medium

  * d/patches: add 002_fix_meson_python-exec-dir.patch
    fixes an FTBFS (Closes: #998562)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Sun, 07 Nov 2021 20:36:42 +0000

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                python3-dateutil,
                python3-pycryptodome,
                python3-pykeepass
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.gnome.org/World/PasswordSafe
 Vcs-Browser: https://salsa.debian.org/python-team/packages/gnome-passwordsafe

=== debian/tests/control ===
Test-Command: xvfb-run /usr/bin/gnome-passwordsafe --help
Restrictions: superficial allow-stderr
Depends: gir1.2-handy-0.0,
         python3-construct,
         python3-dateutil,
         python3-gi,
         python3-pwquality,
         python3-pykeepass,
         xauth,
         xvfb,
         @
